Intra-hub network links¶
Operations on intra-hub network links. Available on the client as client.intra_hub_network_links.
intra_hub_network_links.create¶
async def create(
scenario_guid: str,
request: IntraHubNetworkLinkRequestDto,
) -> IntraHubNetworkLinkResponseDto
Create an intra-hub network link in a scenario.
REST operation: POST /sympheny-app/v2/scenarios/{scenarioGuid}/intra-hub-network-links
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
scenario_guid |
str |
yes | GUID of the scenario. |
request |
IntraHubNetworkLinkRequestDto |
yes | Request body. |
Returns: IntraHubNetworkLinkResponseDto
async with AsyncSympheny(username, password) as client:
link = await client.intra_hub_network_links.create(scenario_guid, request)
with Sympheny(username, password) as client:
link = client.intra_hub_network_links.create(scenario_guid, request)
intra_hub_network_links.list¶
async def list(scenario_guid: str) -> IntraHubNetworkLinkListResponseDto
List the intra-hub network links of a scenario.
REST operation: GET /sympheny-app/scenarios/{scenarioGuid}/intra-hub-network-links
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
scenario_guid |
str |
yes | GUID of the scenario. |
Returns: IntraHubNetworkLinkListResponseDto
async with AsyncSympheny(username, password) as client:
links = await client.intra_hub_network_links.list(scenario_guid)
with Sympheny(username, password) as client:
links = client.intra_hub_network_links.list(scenario_guid)
intra_hub_network_links.get¶
async def get(link_guid: str) -> IntraHubNetworkLinkResponseDto
Get intra-hub network link details.
REST operation: GET /sympheny-app/scenarios/intra-hub-network-links/{guid}
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
link_guid |
str |
yes | GUID of the link. |
Returns: IntraHubNetworkLinkResponseDto
async with AsyncSympheny(username, password) as client:
link = await client.intra_hub_network_links.get(link_guid)
with Sympheny(username, password) as client:
link = client.intra_hub_network_links.get(link_guid)
intra_hub_network_links.update¶
async def update(
link_guid: str,
request: IntraHubNetworkLinkResponseDto,
) -> IntraHubNetworkLinkResponseDto
Update an intra-hub network link.
REST operation: PUT /sympheny-app/v2/scenarios/intra-hub-network-links/{guid}
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
link_guid |
str |
yes | GUID of the link. |
request |
IntraHubNetworkLinkResponseDto |
yes | Request body. |
Returns: IntraHubNetworkLinkResponseDto
async with AsyncSympheny(username, password) as client:
link = await client.intra_hub_network_links.update(link_guid, request)
with Sympheny(username, password) as client:
link = client.intra_hub_network_links.update(link_guid, request)
intra_hub_network_links.delete¶
async def delete(link_guid: str) -> IntraHubNetworkLinkListResponseDto
Delete an intra-hub network link; returns the remaining links.
REST operation: DELETE /sympheny-app/scenarios/intra-hub-network-links/{guid}
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
link_guid |
str |
yes | GUID of the link. |
Returns: IntraHubNetworkLinkListResponseDto
async with AsyncSympheny(username, password) as client:
remaining = await client.intra_hub_network_links.delete(link_guid)
with Sympheny(username, password) as client:
remaining = client.intra_hub_network_links.delete(link_guid)